Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSLibraryManager Class Reference

Unsupported: The library sharing feature is currently not supported in Client SDK. More...

`#import <CSLibraryManager.h>`

Inherits NSObject.

## Instance Methods
(void) | - deleteDocument:
| Not supported in Client SDK. More...
(void) | - renameDocument:toName:
| Not supported in Client SDK. More...
(void) | - uploadDocumentWithName:type:filePath:
| Not supported in Client SDK. More...

## Properties
NSArray * | libraryContent
| Not supported in Client SDK. More...

## Detailed Description

Unsupported: The library sharing feature is currently not supported in Client SDK.

Class that represents library management functions such as add, edit, remove documents

## from the network document library.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

## Method Documentation

- (void) deleteDocument: |  | (CSLibraryDocument *) | document |

Not supported in Client SDK.

- (void) renameDocument: |  | (CSLibraryDocument *) | document
toName: |  | (NSString *) | newName

Not supported in Client SDK.

- (void) uploadDocumentWithName: |  | (NSString *) | name
type: |  | (CSLibraryDocumentType) | type
filePath: |  | (NSString *) | filePath

Not supported in Client SDK.

## Property Documentation

- (NSArray*) libraryContent
| read nonatomic assign

Not supported in Client SDK.

A list of documents in library

The documentation for this class was generated from the following file:

- CSLibraryManager.h